- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_fabric_local – CLI command to modify fabric-local

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to modify fabric local information.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string / required |  | Target switch to run the CLI on.
pn_control_network - | Choices: in-band mgmt vmgmt | control plane network.
pn_fabric_advertisement_network - | Choices: inband-mgmt inband-only inband-vmgmt mgmt-only | network to send fabric advertisements on.
pn_fabric_network - | Choices: in-band mgmt ← vmgmt | fabric administration network.
pn_vlan string |  | VLAN assigned to fabric.
state string | Choices: update ← | State the action to perform. Use `update` to modify the fabric-local.

## Examples

    - name: Fabric local module
      pn_fabric_local:
        pn_cliswitch: "sw01"
        pn_vlan: "500"

    - name: Fabric local module
      pn_fabric_local:
        pn_cliswitch: "sw01"
        pn_fabric_advertisement_network: "mgmt-only"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the fabric-local command.
stdout list | always | set of responses from the fabric-local command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.